Summary: Powermanagement daemon for Nde desktop suite
Name:    nde-powermanagement 
Version: 0.0.1
Release: 9%{?dist}
License: LGPLv2+
URL:     http://www.gd-linux.com
Source0: %{name}-%{version}.tar.gz
BuildRequires: pkgconfig(Qt5Help), pkgconfig(Qt5Svg), libqtxdg-devel, kf5-kwindowsystem-devel, kf5-solid-devel
BuildRequires: nde-lib-devel, cmake, gcc, gcc-c++
BuildRequires: desktop-file-utils, glib2-devel, pkgconfig(libstatgrab), kf5-kidletime-devel



%description
%{summary}.

%package l10n
Summary:        Translations for nde-powermanagement
Requires:       nde-powermanagement

%description l10n
This package provides translations for the nde-powermanagement package.



%prep
%setup -q



%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
    %{cmake_nde} -DPULL_TRANSLATIONS=NO ..
popd

make %{?_smp_mflags} -C %{_target_platform}



%install
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}

%find_lang nde-powermanagement --with-qt
%find_lang nde-config-powermanagement --with-qt



%post
/bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    /bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    /usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
/usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :



%files
%{_bindir}/nde-powermanagement
%{_bindir}/nde-config-powermanagement
%{_datadir}/applications/nde-config-powermanagement.desktop
%{_datadir}/icons/hicolor/*
%{_sysconfdir}/xdg/autostart/nde-powermanagement.desktop

%files l10n -f nde-powermanagement.lang -f nde-config-powermanagement.lang
%license LICENSE
%doc AUTHORS CHANGELOG README.md
%dir %{_datadir}/nde/translations/nde-powermanagement
%dir %{_datadir}/nde/translations/nde-config-powermanagement



%changelog
* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.0.1-9
- Rebuilt for loongarch release

* Tue Jan 30 2024 Zhao Zhen <jeremiazhao@tencent.com> - 0.0.1-8
- small fix

* Thu Oct 29 2020 wu jiaheng <wu.jiaheng@zte.com.cn> - 0.0.1-7
- 更改电池图标大小

* Thu Sep 10 2020 wu jiaheng <wu.jiaheng@zte.com.cn> - 0.0.1-6
- 添加汉化

* Wed Jul 22 2020 lv kaiyi <lv.kaiyi@zte.com.cn> - 0.0.1-5
- 汉化显示状态

* Tue Jul 21 2020 lv kaiyi <lv.kaiyi@zte.com.cn> - 0.0.1-4
- 修改电池显示状态，电池位置随任务栏改变而变化

* Wed May 27 2020 He leilei <he.leilei@zte.com.cn> - 0.0.1-3
- 修改通知图标为应用图标，解决通知栏无法显示图标的问题

* Tue May 26 2020 lv kaiyi <lv.kaiyi@zte.com.cn> - 0.0.1-2
- 修改电池显示

* Fri May 15 2020 Wu Shangmin <wu.shangmin@zte.com.cn> - 0.0.1-1
- Rename(984)

